Bug 2210665 - CVE-2023-34152 ImageMagick: RCE (shell command injection) vulnerability in OpenBlob with --enable-pipes configured [fedora-37]
Summary: CVE-2023-34152 ImageMagick: RCE (shell command injection) vulnerability in Op...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 37
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-34152
TreeView+ depends on / blocked
 
Reported: 2023-05-29 05:44 UTC by Sandipan Roy
Modified: 2023-08-31 01:19 UTC (History)
9 users (show)

Fixed In Version: ImageMagick-6.9.12.93-1.fc37
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-08-31 01:19:33 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Sandipan Roy 2023-05-29 05:44:19 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2210659

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Sandipan Roy 2023-05-29 05:44:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2210659,2210665

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-08-22 14:44:34 UTC
FEDORA-2023-edbdccae2a has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-edbdccae2a

Comment 3 Fedora Update System 2023-08-23 01:09:30 UTC
FEDORA-2023-edbdccae2a has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-edbdccae2a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-edbdccae2a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-08-31 01:19:33 UTC
FEDORA-2023-edbdccae2a has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.